.finance-block {
     background: #FFF;
     margin-top: 20px;
     display: flex;
     flex-direction: column;
     gap: 8px;
     font-size: 14px;
     color: #0F0F23;
}
 .finance-block .splitit {
}
 .finance-block img {
     flex-shrink: 0;
     width: 76px;
     height: auto;
}
.terms {
     font-size: 12px;
}
 .finance-block span.payment {
     font-weight: bold;
}
 .finance-block span.payment.loading {
     filter: blur(5px);
}

.finance-block .clearpay,
.finance-block .splitit {
     display: flex;
     align-items: center;
     gap: 8px;
}

.finance-block a {
     font-weight: bold;
     color: #8E4585;
}

@media (max-width: 767px) {
     .finance-block {
          font-size: 12px;
     }
}